Description

This is far too verbose for production environment. Needs to be adjusted to INFO or ERROR

History

#1 - 2017-07-12 16:26 - Rob Nahf

- Assignee set to Jing Tao

- Target version changed from CCI-2.3.6 to CCI-2.3.5

The log4j.properties file in dataone-cn-metacat seems to control at least part of this, and we are deploying a new one in CCI 2.3.5.

If it's a simple change, maybe we can reduce the log level for metacat replication and hazelcast from DEBUG to INFO or WARN before 2.3.5 tagging.

#2 - 2017-07-12 17:09 - Rob Nahf

the relevant config is slapd.conf in dataone-cn-os-core  loglevel   is set to '0'. 

Other log directives in log4j.properties files in the various cn-buildouts have log levels at DEBUG, at least in trunk, and these should be investigated,

too.

#3 - 2017-07-12 17:09 - Rob Nahf

- Target version changed from CCI-2.3.5 to CCI-2.3.6

#4 - 2017-07-12 17:40 - Rob Nahf

- Assignee changed from Jing Tao to Rob Nahf

#5 - 2017-07-12 22:00 - Dave Vieglais

ldap searches are being logged to /var/log/syslog at a rate of about 1 - 2k lines / sec:

tail -f syslog | pv -l -i10 -r >/dev/null

[1.96k/s]

Loglevel is set to 0 for slapd (should probably be set to "none") so not sure what is doing the logging.

loglevel none

Log those messages that are logged regardless of the configured loglevel. This differs from setting the

log level to 0, when no logging occurs. At least the None level is required to have high priority messages logged.
#6 - 2017-07-18 16:56 - Rob Nahf

slapd.conf has messages going to /var/log/slapd.log, but we are seeing messages in /var/log/syslog.

is this contributing?  https://redmine.dataone.org/issues/4253

#7 - 2017-10-30 19:07 - Jing Tao

- Target version changed from CCI-2.3.6 to CCI-2.3.7

#8 - 2017-12-26 18:19 - Dave Vieglais

- Sprint set to CCI-2.3.7

#9 - 2017-12-26 18:29 - Dave Vieglais

- Tracker changed from Task to Bug
